Subject: Re: git remote update -> rejected

From: Junio C Hamano <[email-masked]>
Date: Tue, 22 Apr 2008 10:00:48 -0700

Johannes Schindelin <[email-masked]> writes:

>> Dscho, is this a bug, or was there a conscious decision that I missed?
> ...
> But as I said, my rationale may very well be wrong.

Whatever the rationale was, it is very wrong if the series was about
rewriting the scripted version in another language.  That is an
independent behaviour change.

And I do think the fix should be applied to --mirror case as well.  If it
does not "mirror" as it is told, what use would there be?